From dcdc7a84605f5076390b9d2741a0f76ba04517bb Mon Sep 17 00:00:00 2001
From: Elena Popa <elena.popa@nxp.com>
Date: Sat, 1 Jun 2024 17:03:41 +0300
Subject: [PATCH] usb: xhci: Add delay for the control messages

Add 5ms delay for some USB2.0 sticks which fail to initialize otherwise.

Signed-off-by: Elena Popa <elena.popa@nxp.com>
---
 drivers/usb/host/xhci.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/drivers/usb/host/xhci.c b/drivers/usb/host/xhci.c
index 741e186ee0..316f5af1f3 100644
--- a/drivers/usb/host/xhci.c
+++ b/drivers/usb/host/xhci.c
@@ -1197,6 +1197,8 @@ static int _xhci_submit_control_msg(struct usb_device *udev, unsigned long pipe,
 				    void *buffer, int length,
 				    struct devrequest *setup, int root_portnr)
 {
+	mdelay(5);
+
 	struct xhci_ctrl *ctrl = xhci_get_ctrl(udev);
 	int ret = 0;
 
-- 
2.25.1

